Package oracle.jdbc

## Enum OracleTranslatingConnection.SqlTranslationVersion

- java.lang.Object
- - java.lang.Enum<OracleTranslatingConnection.SqlTranslationVersion>
  - - oracle.jdbc.OracleTranslatingConnection.SqlTranslationVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<OracleTranslatingConnection.SqlTranslationVersion>`

Enclosing interface:
  OracleTranslatingConnection

    public static enum OracleTranslatingConnection.SqlTranslationVersion
    extends Enum<OracleTranslatingConnection.SqlTranslationVersion>

Enumeration of various Translation versions of a query.

### Enum Constant Summary

Enum Constants
`JDBC_MARKER_CONVERTED` JDBC parameter markers ('?') replaced with Oracle style parameter markers (':b<n>').
`ORIGINAL_SQL` Original vendor specific sql.
`TRANSLATED` The translated query returned from the server.

### Method Summary

All Methods Static Methods Concrete Methods
`static OracleTranslatingConnection.SqlTranslationVersion` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static OracleTranslatingConnection.SqlTranslationVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ORIGINAL_SQL

    public static final OracleTranslatingConnection.SqlTranslationVersion ORIGINAL_SQL

Original vendor specific sql.

#### JDBC_MARKER_CONVERTED

    public static final OracleTranslatingConnection.SqlTranslationVersion JDBC_MARKER_CONVERTED

JDBC parameter markers ('?') replaced with Oracle style parameter markers (':b<n>'). So consecutive '?'s will be converted to :b1, :b2, :b3 ... and so on. This change is required to take care of any changes in the order of parameters during translation. This version is sent to the server for translation so any custom translations on the server must be registered from this version and not the ORIGINAL_SQL version.

#### TRANSLATED

    public static final OracleTranslatingConnection.SqlTranslationVersion TRANSLATED

The translated query returned from the server.

### Method Detail

#### values

    public static OracleTranslatingConnection.SqlTranslationVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleTranslatingConnection.SqlTranslationVersion c : OracleTranslatingConnection.SqlTranslationVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleTranslatingConnection.SqlTranslationVersion valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null